
Redmine - Defect #12274

Wiki export from Index by title is truncated

2012-10-31 10:46 - Adam Rae-Smith

Status: Closed Start date:  

Priority: High Due date:  

Assignee: Jean-Philippe Lang % Done: 0%

Category: Wiki Estimated time: 0.00 hour

Target version: 2.1.4   

Resolution: Fixed Affected version: 2.1.2

Description

I upgraded from V0.9.2 to V2.1.2 this week.  Before upgrading, I saved a copy of a wiki using the HTML output from the Index by title

page.  After upgrading, I did exactly the same thing.  The new HTML file was only 251KB compared to 419KB before the upgrade,

and only contains items starting with A - N, none starting P - Z.  As this is our main development knowledge base, including

instructions on how to get the system working when Redmine is not up and running, it is important to us to have an offline copy.

Our configuration is MySQL 5.1.63, Ruby 1.8.7, Rails 3.2.8, Redmine 2.1.2 on Ubuntu 10.04.

I have to add my support to Feature #3463 - PDF output would be ideal.

Related issues:

Related to Redmine - Patch #10646: Limitation of wiki pages number at export ... Closed

Associated revisions

Revision 10838 - 2012-11-18 11:18 - Jean-Philippe Lang

Removed the limit of 75 pages when exporting wiki pages (#12274).

Revision 10872 - 2012-11-23 23:29 - Jean-Philippe Lang

Merged r10838 from trunk (#12274).

History

#1 - 2012-10-31 10:52 - Adam Rae-Smith

Sorry - I see that #3463 has been implemented!  But the PDF file shows the same problem as the HTML output - i.e. no items starting with N - Z.

#2 - 2012-10-31 12:04 - Adam Rae-Smith

- File Wiki Index by title screen shot.jpg added

- File wiki.pdf added

I have just re-organised the wiki so all pages are renamed under the main index page, and now the PDF just contains the name of this page, nothing

else.  I have attached screenshots of the Redmine display and the PDF output.

#3 - 2012-11-05 13:19 - Toshi MARUYAMA

- Category set to Wiki

#4 - 2012-11-18 11:19 - Jean-Philippe Lang

- Subject changed from Wiki HTML output from Index by title truncated to Wiki export from Index by title is truncated

- Status changed from New to Resolved

- Assignee set to Jean-Philippe Lang

- Target version set to 2.1.4

- Resolution set to Fixed

This should be fixed in r10838.

#5 - 2012-11-23 23:30 - Jean-Philippe Lang

- Status changed from Resolved to Closed
https://www.redmine.org/issues/3463
https://www.redmine.org/issues/3463
https://www.redmine.org/projects/redmine/repository/svn/revisions/10838


Merged in 2.1-stable.

Files

Wiki Index by title screen shot.jpg 137 KB 2012-10-31 Adam Rae-Smith

wiki.pdf 275 KB 2012-10-31 Adam Rae-Smith
